<?php
	define('_ON_CMS', 1);
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$PAGINGS = mysql_query("SELECT * FROM `sector_loc` WHERE `loc`=2 OR `loc`=3 ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{	
		echo '<div class="conts">x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).'<br/>';
		$r=rand(1, 10);
		if($r>=5)$count = mysql_result(mysql_query("SELECT (tmarat) FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'].)))))))"';"), 0);
		
		if($r>=5 AND $realtime>=$row['time'] AND $row['loc']==2 AND $count<=$realtime){
		$xd=rand(1, 4);
		echo ''.met($xd).'';
		mysql_query("INSERT INTO `doklad` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."', `time`='" . time() . "', `type`=4, `text`='".met($xd)." приближается к вашей планете. Координаты x:".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']+1)))))))." y:".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']+1))))))).". До падения осталось 360 минут.';");
		mysql_query("UPDATE `sector_loc` SET `time`='".(time()+43200)."' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."';");
		mysql_query("INSERT INTO `sector_loc` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."', `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']+1)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']+1)))))))."', `loc`=3, `type`='".$xd."', `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['planet'])))))))."', `time`='".(time()+21550)."';");
		}
		
		if($realtime>=$row['time'] AND $row['loc']==3){
		echo ''.met($row['type']).'';
		$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['planet'])))))))."'");
		$f = mysql_fetch_array($q);
		$pd=intval(($f['peo']/100)*($row['type']*10));
		
		if($pd>$f['peo'])$pd=$f['peo'];
		mysql_query("INSERT INTO `doklad` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."', `time`='" . time() . "', `type`=4, `text`='".met($row['type'])." упал(а) на вашу планету <b>".$f['name']."</b>.  Координаты x:".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']-1)))))))." y:".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']-1))))))).". Погибло ".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pd)))))))." (".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['type']*10)))))))."%) населения';");
		mysql_query("DELETE FROM `sector_loc` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."';");
		mysql_query("UPDATE `planet` SET `peo`=peo-'".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pd)))))))."' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['planet'])))))))."';");
		}
		echo '</div>';
		
	}}}
			
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer.php';
?>